package app;

//import pps.core.common.job.CounterJob;

import pps.core.common.utils.CounterBuilder;
import xstartup.base.XStartup;
import xstartup.base.conf.XServerConf;
import xstartup.base.conf.XServiceConf;
import xstartup.boot.XStartupApplication;
import xstartup.feature.api.XApiFeature;
import xstartup.feature.api.conf.XApiCookieConf;
import xstartup.feature.cors.XCorsFeature;
import xstartup.feature.mybatis.XMybatisFeature;
import xstartup.feature.rpc.XRpcFeature;

public class DeployPpsPredictionApplication {
    public static void main(String... args) {
        CounterBuilder.globalCounterBuilder.setFieldValue(CounterBuilder.DEPLOY_KEY, DeployPpsPredictionApplication.class.getSimpleName());
        XStartup startup = new XStartupApplication("pps");
        startup.config(new XServerConf(22062).naming("pps-task"))
                .config(new XServiceConf("pps"));
        startup.enable(XApiFeature.class)
                .config(new XApiCookieConf("%4bH8s9&", 43200));
        startup.enable(XCorsFeature.class);
        startup.enable(XMybatisFeature.class);
        startup.enable(XRpcFeature.class);
        startup.run(args);
    }
}
